<?xml version="1.0" encoding="UTF-8"?>
<Girder Version="400"><FileRoot Name="HTPC G4 Startup.gml" Identifier="0" Enabled="TRUE" FileGUID="{B4C4ADF0-F87B-469E-BFDD-C2AC0DB481AD}" TimeStamp="0" Locked="FALSE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><Group Name="Girder Startup" Identifier="26187" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><MultiGroup Name="LUA Snippets &amp; Startup Actions" Identifier="26280" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><Command Name="LUA Volume Control" Identifier="26190" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>function HTPCAudioLevels (MstrVol, MstrMute, WavVol, WavMute)
	local result, err
	
	result, err = mixer.GetDeviceCount();
	if not result then
		gir.LogMessage("Audio Mixer Error", "Device Count: "..result..", Error: "..(err or "None"))
	else

		result, err = mixer.SetMasterVolume (MstrVol or 65);
		if not result then
			gir.LogMessage("Audio Mixer Error - Master Volume Set","Error: "..(err or "None"))
		end;

		result, err = mixer.SetMasterMute (MstrMute or 0);
		if not result then
			gir.LogMessage("Audio Mixer Error - Master Volume Mute","Error: "..(err or "None"))
		end;

		result, err = mixer.SetWaveVolume (WavVol or 75);
		if not result then
			gir.LogMessage("Audio Mixer Error - Wave Volume Set","Error: "..(err or "None"))
		end;

		result, err = mixer.SetWaveMute (WavMute or 0);
		if not result then
			gir.LogMessage("Audio Mixer Error - Wave Volume Mute","Error: "..(err or "None"))
		end;
	end;
end;

--Function for setting Master and Wave Volume levels on HTPC, Use as HTPCAudioLevels() for
--Default settings, or set up using HTPCAudioLevels (Master Volume [Percentage], Master Mute [1 or 0], 
--Wave Volume [Percentage], Wave Mute [1 or 0])
HTPCAudioLevels ()</sValue1><Binary Encoding="Base64">G0x1YVABBAQEBggJCQi2CZNo5/V9QVYAAABIVFBDIEc0IFN0YXJ0dXAuZ21sOlxHaXJkZXIgU3Rh&#xD;
cnR1cFxMVUEgU25pcHBldHMgJiBTdGFydHVwIEFjdGlvbnNcTFVBIFZvbHVtZSBDb250cm9sAAAA&#xD;
AAAAAAACBQAAAB0AAAABAAAAIgAAACIAAAAiAAAAAAAAAAAAAAABAAAABBAAAABIVFBDQXVkaW9M&#xD;
ZXZlbHMAAQAAAAAAAAABAAAAAAQADGEAAAACAAAABAAAAAQAAAAEAAAABAAAAAQAAAAFAAAABQAA&#xD;
AAYAAAAGAAAABgAAAAYAAAAGAAAABgAAAAYAAAAGAAAABgAAAAYAAAAGAAAABgAAAAkAAAAJAAAA&#xD;
CQAAAAkAAAAJAAAACQAAAAkAAAAJAAAACgAAAAoAAAALAAAACwAAAAsAAAALAAAACwAAAAsAAAAL&#xD;
AAAACwAAAAsAAAAOAAAADgAAAA4AAAAOAAAADgAAAA4AAAAOAAAADgAAAA8AAAAPAAAAEAAAABAA&#xD;
AAAQAAAAEAAAABAAAAAQAAAAEAAAABAAAAAQAAAAEwAAABMAAAATAAAAEwAAABMAAAATAAAAEwAA&#xD;
ABMAAAAUAAAAFAAAABUAAAAVAAAAFQAAABUAAAAVAAAAFQAAABUAAAAVAAAAFQAAABgAAAAYAAAA&#xD;
GAAAABgAAAAYAAAAGAAAABgAAAAYAAAAGQAAABkAAAAaAAAAGgAAABoAAAAaAAAAGgAAABoAAAAa&#xD;
AAAAGgAAABoAAAAdAAAABgAAAAgAAABNc3RyVm9sAAAAAABgAAAACQAAAE1zdHJNdXRlAAAAAABg&#xD;
AAAABwAAAFdhdlZvbAAAAAAAYAAAAAgAAABXYXZNdXRlAAAAAABgAAAABwAAAHJlc3VsdAABAAAA&#xD;
YAAAAAQAAABlcnIAAQAAAGAAAAAAAAAAFAAAAAQGAAAAbWl4ZXIABA8AAABHZXREZXZpY2VDb3Vu&#xD;
dAAEBAAAAGdpcgAECwAAAExvZ01lc3NhZ2UABBIAAABBdWRpbyBNaXhlciBFcnJvcgAEDwAAAERl&#xD;
dmljZSBDb3VudDogAAQKAAAALCBFcnJvcjogAAQFAAAATm9uZQAEEAAAAFNldE1hc3RlclZvbHVt&#xD;
ZQADAAAAAABAUEAEJgAAAEF1ZGlvIE1peGVyIEVycm9yIC0gTWFzdGVyIFZvbHVtZSBTZXQABAgA&#xD;
AABFcnJvcjogAAQOAAAAU2V0TWFzdGVyTXV0ZQADAAAAAAAAAAAEJwAAAEF1ZGlvIE1peGVyIEVy&#xD;
cm9yIC0gTWFzdGVyIFZvbHVtZSBNdXRlAAQOAAAAU2V0V2F2ZVZvbHVtZQADAAAAAADAUkAEJAAA&#xD;
AEF1ZGlvIE1peGVyIEVycm9yIC0gV2F2ZSBWb2x1bWUgU2V0AAQMAAAAU2V0V2F2ZU11dGUABCUA&#xD;
AABBdWRpbyBNaXhlciBFcnJvciAtIFdhdmUgVm9sdW1lIE11dGUAAAAAAGEAAAADgAIEBQAABsY+&#xD;
AwbZgAAGAIADBQAAAwRYAAIE1AKAAIUAAAZGPwMGAQEAB0EBAAgAAAIJgQEACliAAgsUAIAAwQEA&#xD;
C9MCBAhZgAEG1BKAAAUAAAaGQAMGWAAABxQAgABBAgAH2QABBgCAAwUAAAMEWAACBBQCgACFAAAG&#xD;
Rj8DBoECAAfBAgAIWIACCRQAgADBAQAJUwIECFmAAQYFAAAGhkEDBliAAAcUAIAAQQMAB9kAAQYA&#xD;
gAMFAAADBFgAAgQUAoAAhQAABkY/AwaBAwAHwQIACFiAAgkUAIAAwQEACVMCBAhZgAEGBQAABkZC&#xD;
AwZYAAEHFACAAAEEAAfZAAEGAIADBQAAAwRYAAIEFAKAAIUAAAZGPwMGQQQAB8ECAAhYgAIJFACA&#xD;
AMEBAAlTAgQIWYABBgUAAAYGQwMGWIABBxQAgABBAwAH2QABBgCAAwUAAAMEWAACBBQCgACFAAAG&#xD;
Rj8DBsEEAAfBAgAIWIACCRQAgADBAQAJUwIECFmAAQYbgAAABQAAACIAAAAHAAAABQAAAFmAAAAb&#xD;
gAAA</Binary><ActionType>4</ActionType><ActionSubType>34</ActionSubType></Command><Command Name="LUA Show / Hide Taskbar" Identifier="26188" Enabled="FALSE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>function ShowHideTaskbar (value)
	local TaskbarWindow, TaskBarState
	TaskbarWindow = win.FindWindow('Shell_TrayWnd', nil)
		if value == 1 then
				if TaskbarWindow &gt; 0 then
					win.ShowWindow(TaskbarWindow,win.SW_SHOW)
				TaskBarState = ("Showing")
				end;
		elseif value == 0 then		
				if TaskbarWindow &gt; 0 then
					win.ShowWindow(TaskbarWindow,win.SW_HIDE)
					TaskBarState = ("Hidden")
				end;
		elseif not value then
			if not win.IsWindowVisible (TaskbarWindow) then
				if TaskbarWindow &gt; 0 then
					win.ShowWindow(TaskbarWindow,win.SW_SHOW)
					TaskBarState = ("Showing")
				end;
			else
				if TaskbarWindow &gt; 0 then
					win.ShowWindow(TaskbarWindow,win.SW_HIDE)
					TaskBarState = ("Hidden")
				end;
			end;
		end;
	gir.LogMessage("Taskbar",TaskBarState)		
end;

-- Call Using ShowHideTaskbar (value[0 or 1 or nil])
-- 0 will hide the taskbar, 1 will Show the taskbar,
-- nil will toggle the current state.
--ShowHideTaskbar(0);
--ShowHideTaskbar(1);
</sValue1><bValue1>FALSE</bValue1><bValue2>FALSE</bValue2><bValue3>FALSE</bValue3><Binary Encoding="Base64">G0x1YVABBAQEBggJCQi2CZNo5/V9QVsAAABIVFBDIEc0IFN0YXJ0dXAuZ21sOlxHaXJkZXIgU3Rh&#xD;
cnR1cFxMVUEgU25pcHBldHMgJiBTdGFydHVwIEFjdGlvbnNcTFVBIFNob3cgLyBIaWRlIFRhc2ti&#xD;
YXIAAAAAAAAAAAIDAAAAHAAAAAEAAAAcAAAAAAAAAAAAAAABAAAABBAAAABTaG93SGlkZVRhc2ti&#xD;
YXIAAQAAAAAAAAABAAAAAAEABkAAAAACAAAAAwAAAAMAAAADAAAAAwAAAAMAAAADAAAABAAAAAQA&#xD;
AAAFAAAABQAAAAYAAAAGAAAABgAAAAYAAAAGAAAABgAAAAcAAAAIAAAACQAAAAkAAAAKAAAACgAA&#xD;
AAsAAAALAAAACwAAAAsAAAALAAAACwAAAAwAAAANAAAADgAAAA4AAAAPAAAADwAAAA8AAAAPAAAA&#xD;
DwAAAA8AAAAQAAAAEAAAABEAAAARAAAAEQAAABEAAAARAAAAEQAAABIAAAATAAAAFQAAABUAAAAW&#xD;
AAAAFgAAABYAAAAWAAAAFgAAABYAAAAXAAAAGwAAABsAAAAbAAAAGwAAABsAAAAcAAAAAwAAAAYA&#xD;
AAB2YWx1ZQAAAAAAPwAAAA4AAABUYXNrYmFyV2luZG93AAEAAAA/AAAADQAAAFRhc2tCYXJTdGF0&#xD;
ZQABAAAAPwAAAAAAAAAOAAAABAQAAAB3aW4ABAsAAABGaW5kV2luZG93AAQOAAAAU2hlbGxfVHJh&#xD;
eVduZAADAAAAAAAA8D8DAAAAAAAAAAAECwAAAFNob3dXaW5kb3cABAgAAABTV19TSE9XAAQIAAAA&#xD;
U2hvd2luZwAECAAAAFNXX0hJREUABAcAAABIaWRkZW4ABBAAAABJc1dpbmRvd1Zpc2libGUABAQA&#xD;
AABnaXIABAsAAABMb2dNZXNzYWdlAAQIAAAAVGFza2JhcgAAAAAAQAAAAAMAAQEFAAADxr4BA4EA&#xD;
AAQDgAIFmYABAwCAAQFVPwAAVAKAAFYAfwCUC4AABQAAA8a/AQMAgAAEBQAABQbAAgVZgAEDwQEA&#xD;
ApQJgACVPwAAVAKAAFYAfwCUCIAABQAAA8a/AQMAgAAEBQAABYbAAgVZgAEDQQIAApQGgABYAAAA&#xD;
FAaAAAUAAAMGwQEDAIAABJkAAQNYgAEDVAKAAFYAfwAUBIAABQAAA8a/AQMAgAAEBQAABQbAAgVZ&#xD;
gAEDwQEAAhQCgABWAH8AlAGAAAUAAAPGvwEDAIAABAUAAAWGwAIFWYABA0ECAALFAgADhsEBA0ED&#xD;
AAQAAAEFWYABAxuAAAADAAAAIgAAAAcAAAAbgAAA</Binary><ActionType>4</ActionType><ActionSubType>34</ActionSubType></Command><Command Name="Move Mouse off Screen" Identifier="26193" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSDTimeout>761093386</OSDTimeout><OSD>TRUE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><iValue1>1500</iValue1><iValue2>1500</iValue2><ActionType>1</ActionType><ActionSubType>10</ActionSubType></Command><EventString Name="ScriptEnable" Identifier="26282" Enabled="TRUE" Invert="FALSE" Device="18" IrStr="ScriptEnable" KeyMod="1"></EventString><EventString Name="FileLoaded" Identifier="26283" Enabled="TRUE" Invert="FALSE" Device="18" IrStr="FileLoaded" KeyMod="1"></EventString><Command Name="Reconnect z:" Identifier="1852785710" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>C:\WINDOWS\system32\net.exe</sValue1><sValue2>use z: \\stacker\Music</sValue2><iValue2>0</iValue2><ActionType>2</ActionType><ActionSubType>14</ActionSubType></Command><Command Name="Reconnect y:" Identifier="1852785711" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>C:\WINDOWS\system32\net.exe</sValue1><sValue2>use y: \\stacker\Dvd</sValue2><iValue2>0</iValue2><ActionType>2</ActionType><ActionSubType>14</ActionSubType></Command><Command Name="Daily Shut Down Schedule" Identifier="1852785718" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>ShutDownPC</sValue1><sValue2>DailyShutdown</sValue2><iValue2>23</iValue2><iValue3>55</iValue3><ActionType>235</ActionType><ActionSubType>5</ActionSubType></Command><Command Name="Daily Schedule XMLTV" Identifier="1852785723" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="TRUE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>XMLTV_Data</sValue1><sValue2>DownloadXMLData</sValue2><iValue2>08</iValue2><iValue3>00</iValue3><ActionType>235</ActionType><ActionSubType>5</ActionSubType></Command></MultiGroup></Group><Group Name="Shutdown PC" Identifier="1852785719" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><Command Name="Shut down" Identifier="1852785720" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><ActionType>2</ActionType><ActionSubType>11</ActionSubType><EventString Name="DailyShutdown" Identifier="1852785721" Enabled="TRUE" Invert="FALSE" Device="235" IrStr="DailyShutdown" KeyMod="1"></EventString><EventString Name="NRD Generated Event" Identifier="1852785931" Enabled="TRUE" Invert="FALSE" Device="232" IrStr="NRD_08796c72-7bb7-49e8-8971-a1975e43ae2c"></EventString></Command></Group><Group Name="Run Radio Times XMLTV Grabber" Identifier="1852785722" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><Command Name="RT Grabber" Identifier="1852785725" Enabled="TRUE" ErrorBreak="FALSE" ErrorJump="FALSE" ErrorEmail="FALSE" ErrorGirderLog="FALSE" ErrorSystemLog="FALSE"><OSD>FALSE</OSD><Topmost>TRUE</Topmost><MatchNum>1</MatchNum><sValue1>C:\Program Files\XMLTV Radio Times\xmltvrt.exe</sValue1><sValue2>/Grab /Silent</sValue2><bValue1>FALSE</bValue1><bValue2>FALSE</bValue2><bValue3>FALSE</bValue3><iValue2>2</iValue2><ActionType>2</ActionType><ActionSubType>14</ActionSubType><EventString Name="EventString" Identifier="1852785726" Enabled="TRUE" Invert="FALSE" Device="235" IrStr="DownloadXMLData"></EventString></Command></Group></FileRoot></Girder>