File = {
CollectFilesToTable = function (self, path, ext)
	local i = 1
	local files = {}
	for fa in win.Files (path.."*."..ext) do
		if math.band (fa.FileAttributes, win.FILE_ATTRIBUTE_DIRECTORY) == 0 then
				files[i] = path..fa.FileName
		end;
		i = i + 1
	end;
	return files
end;
--name: String. File path and name. May include wildcards. 
DoesFileExist = function (self, name)
	local res, err
	res, err = win.FileExists(name);
	--if err then print ("Error, Finding File: "..err) end;
	return res, err;
end;
--path: String. Directory path (no trailing backslash).
DoesDirectoryExist = function (self, path)
	local res, err
	res, err = win.PathExists(path)
	--if err then print ("Error, Finding Directory: "..err) end;
	return res, err;
end;
--path: String. Directory path (no trailing backslash). 
CreateDirectory = function (self, path)
	local res, err
	res, err = win.CreateDirectory(path)
	--if err then print ("Error, Creating Directory: "..err) end;
	return res, err;
end;
--path: String. Directory path (no trailing backslash).
DeleteDirectory = function (self, path)
	local res, err
	res, err = win.RemoveDirectory(path)
	--if err then print ("Error, Deleting Directory: "..err) end;
	return res, err;
end;
--path: String. Directory path (no trailing backslash).
DeleteFile = function (self, path)
	local res, err
	res, err = win.DeleteFile(path)
 	--if err then print ("Error, Deleting File: "..err) end;
	return res, err;
end;
--Supports wildcards 
MoveFile = function (self, pathfrom, pathto)
	local res, err
	res, err = win.SHFileOperation(pathfrom, pathto, win.FO_MOVE, win.FOF_NORECURSION)
	--if err then print ("Error, Moving File: "..err) end;
	return res, err;
end;
--Supports wildcards
RenameFile = function (self, nameold, namenew)
	local res, err
	res, err = win.SHFileOperation(nameold, namenew, win.FO_RENAME, win.FOF_NORECURSION)
	--if err then print ("Error, Rename File: "..err) end;
	return res, err;
end;
--Supports wildcards
CopyFile = function (self, filetocopy, copiedfilename)
	local res, err
	res, err = win.SHFileOperation(filetocopy, copiedfilename, win.FO_COPY, win.FOF_NORECURSION)
	--if err then print ("Error, Copy File: "..err) end;
	return res, err;
end;

WriteTextToLogFile = function (self, filename, valtab)
	local f = io.open (filename, "a+")
	local val = ""
	local val = os.date ()..","
	for i,v in pairs (valtab) do
		val = val..v..","
	end;
	val = val.."\n"
	f:write (val)
	f:close (filename)
	return f
end;
}
gir.LogMessage("File Functions","Script Loaded",3);