require ("File Functions")
SageTV = {
	ConnectToSage = function (self, SageSocketIP, SageSocketPort)
		SageTV.DataCounter = 1
		local err
		self.SageStatusSocket, err = gip_old.Open (SageSocketIP, SageSocketPort, 'GetDataFromSage');
		--self.SageStatusSocket, err = gip_old.Open (SageSocketIP, SageSocketPort, 'function (...) return self:GetDataFromSage (unpack (arg)) end');
		if not self.SageStatusSocket then
			gir.LogMessage("SageTV Status", "Error Connecting to TCP Server..."..err, 2);
		else
--			gir.LogMessage("SageTV Status", "Connection Successful", 0);
		end;
	end;
	CloseConnectionToSage = function(self)
		local err
		err = gip_old.Close(self.SageStatusSocket);
		if err ~= 0 then print ("Error Closing Connection", err)
--		else gir.LogMessage("SageTV Status", "Connection Closed", 0);
		end;
	end;
	SendSageDataToNR = function (self)
		if self.SageStatus.nowplayingshow == "" or nil then self.SageStatus.nowplayingshow = "-----" end;
		local err = NetRemote.SendLabel("Sage.CurrentShowing", self.SageStatus.nowplayingshow);
		if self.SageStatus.recording1show == "" or nil then self.SageStatus.recording1show = "-----" end;		
		local err = NetRemote.SendLabel("Sage.Recorder1", self.SageStatus.recording1show)
		if self.SageStatus.recording2show == "" or nil then self.SageStatus.recording2show = "-----" end;		
		local err = NetRemote.SendLabel("Sage.Recorder2", self.SageStatus.recording2show)
		if err then print("NetRemote.SendLabel Error: "..err) end
   
		if self.SageStatus.nowplayingstate == "play" or self.SageStatus.nowplayingstate == "Play" then
			local err = NetRemote.SendLabel("Sage.PlayState", 1)
		elseif self.SageStatus.nowplayingstate == "paused" or self.SageStatus.nowplayingstate == "Paused" then
			local err = NetRemote.SendLabel("Sage.PlayState", 0)
		elseif self.SageStatus.nowplayingstate == "stopped" or self.SageStatus.nowplayingstate == "Stopped" then
			local err = NetRemote.SendLabel("Sage.PlayState", 0)
		end;
		if err then print("NetRemote.SendLabel Error: "..err) end

		SageTV:CloseConnectionToSage ();
	end;
	TimedDataSend = function (self)
		if not self.SageTVScheduler then
			self.SageTVScheduler, err = gir.CreateTimer('SageTV:SageTimerStarted ();', 'SageTV:SageTimerTriggered();', 'SageTV:SageTimerCancelled();', 1);
		end;
		if not self.SageTVScheduler then print(err) end;
		self.SageTVScheduler:Arm(30000);
		gir.LogMessage("SageTV Status","Armed", 3);
	end;
	SageTimerStarted = function (self)
		self:StartSageThread ();
		self:SageDiskSpace (self.SageDrive);
		gir.LogMessage("SageTV Status", "Timer Started", 3);
	end;
	SageTimerTriggered = function (self)
		err = gip_old.Send(self.SageStatusSocket,"\n");
		if err == -1 then
			self:CloseConnectionToSage();
			self:StartSageThread ();
		else
			self:StartSageThread ();
		end;
		self:SageDiskSpace (self.SageDrive);
		--gir.LogMessage("SageTV Status", "Triggered", 0);
	end;
	SageTimerCancelled = function (self)
--		gir.LogMessage("SageTV Status", "Cancelled", 1);
	end;
	SageTVTimer = function (self, Action)
		if Action == "Kill" then
			if self.SageTVScheduler then
				self.SageTVScheduler:Destroy();
				self.SageTVScheduler = nil
			end;
		elseif Action == "Cancel" then
			self.SageTVScheduler:Cancel();
		else
			self:TimedDataSend ();
		end;			
	end;
	StartSageThread = function (self)
--	print ("SageStartThread Start")
		self.SageTVConnectThreadObj, err = thread.newthread(self.ConnectToSage, {self, self.SageIP, self.SagePort});   
		if not self.SageTVConnectThreadObj then print (err) end;  	
		--while self.SageTVConnectThreadObj:isthreadrunning () do
--			print ("Waiting for Thread...")
--			win.Sleep (250)
		--end;
--	print ("SageStart Thread finish")	
	end;
	SageDiskSpace = function (self, SageDrive)
		local Total,Free = win.GetDiskFreeSpace (SageDrive);
		if Total then
			NetRemote.SendLabel ("SageTV.UsedDiskSpace", math.round((Total - Free) / Total * 100, 0));
		end;	
	end;
	SageStatus = {}	
}
gir.LogMessage("SageTV Status", "Script Loaded", 3);
SageTV.SagePlayPauseHandler = gir.AddEventHandler('NR.SagePlayState', 232, 232, function () 
	win.Sleep (100);
	SageTV:StartSageThread();
	SageTV:SageDiskSpace (SageTV.SageDrive);
end);

GetDataFromSage = function (str, socket, operation, ip)
	local _, Key, Value, err
	if operation == 0 then
		_, _, Key, Value = string.find (str, "(%w*%_%w*%_%w*):%s(.*:?%s?.*)");
		if Key~= nil then
			Key = string.gsub (Key, "_", "");
		if string.find (Key, ":") then
			_, _, Key = string.find (Key, "(.*):%s*");
		end;
			SageTV.SageStatus[Key] = Value;
		end;
	elseif operation == 1 then
--		gir.LogMessage("SageTV Status", "Socket is Closed, No Data to collect", 0);
		SageTV:CloseConnectionToSage();
	end;

	if SageTV.DataCounter >= 22 then
		SageTV:SendSageDataToNR ();
		SageTV.DataCounter = 1;
	else 
		SageTV.DataCounter = SageTV.DataCounter + 1
	end;
end;

local SageReg = win.CreateRegistry("HKLM",[[SOFTWARE\Promixis\Girder\4\Plugins\SageTV]],1)

SageTV.SageDrive = SageReg:Read("Drive");
SageTV.SageIP = SageReg:Read("IP")
SageTV.SagePort = SageReg:Read("Port")

collectgarbage ();

--SageTV.SageDrive = "Z:"
--SageTV.SageIP = "192.168.0.4";
--SageTV.SagePort = "20000";

--SageTV.SageDiskSpace (SageTV.SageDrive);
--SageTV:StartSageThread();
--SageTV:ConnectToSage (SageTV.SageIP, SageTV.SagePort);
--SageTV:SageTVTimer ("Cancel");
--SageTV:CloseConnectionToSage ();